NIMSUGGEST(1)

NAME

nimsuggest - tool to give every editor IDE like capabilities for Nim

SYNOPSIS

nimsuggest [options] projectfile.nim

OPTIONS

--port:PORT
    port, by default 6000

--address:HOST
    binds to that address, by default ""

--stdin
    read commands from stdin and write results to stdout instead of using sockets

--epc
    use emacs epc mode

--debug
    enable debug output

--log
    enable verbose logging to nimsuggest.log file

--v1
    use version 1 of the protocol; for backwards compatibility

--refresh
    perform automatic refreshes to keep the analysis precise

--maxresults:N
    limit the number of suggestions to N

--tester
    implies --stdin and outputs a line '!EOF!' for the tester

SEE ALSO

nim(1), Official documentation ⟨https://nim-lang.org/docs/nimsuggest.html⟩